public class refrigerantData extends Object
{
//this class reads and store refrigerant  data
String refrigerantName;
public double B[][];
public double cp[][];
public double R;
double M;
double X;
double Y;
double Tc;
double Vc;
double Pc;

public refrigerantData(String refrigerantNamei,double Ri,double ai[][])
{
refrigerantName=refrigerantNamei;
R=Ri;
B=ai;
}

public void MXYgir(double Mi,double Pci,double Tci,double Vci,double Xi,double Yi)
{M=Mi;
X=Xi;
Y=Yi;
Pc=Pci;
Tc=Tci;
Vc=Vci;
}

public void Cp_gir(double b[][])
{ int n=b.length;
  double tl,th;
  int m=b[0].length;
  cp=new double[n][m-2];   
  for(int i=0;i<n;i++) 
    {tl=b[i][m-2];
     th=b[i][m-1];
     for(int j=0;j<m-2;j++)
     {cp[i][j]=b[i][j]; } 
    }
}
}